ICU 60.2 60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
icu::ListFormatter Class Reference

An immutable class for formatting a list, using data from CLDR (or supplied separately). More...

`#include <listformatter.h>`

Inheritance diagram for icu::ListFormatter:

## Public Member Functions
| ListFormatter (const ListFormatter &)
| Copy constructor. More...
ListFormatter & | operator= (const ListFormatter &other)
| Assignment operator. More...
virtual | ~ListFormatter ()
| Destructor. More...
UnicodeString & | format (const UnicodeString items[], int32_t n_items, UnicodeString &appendTo, UErrorCode &errorCode) const
| Formats a list of strings. More...
UnicodeString & | format (const UnicodeString items[], int32_t n_items, UnicodeString &appendTo, int32_t index, int32_t &offset, UErrorCode &errorCode) const
| ListFormatter (const ListFormatData &data, UErrorCode &errorCode)
| ListFormatter (const ListFormatInternal *listFormatterInternal)
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor. More...
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class. More...

## Static Public Member Functions
static ListFormatter * | createInstance (UErrorCode &errorCode)
| Creates a ListFormatter appropriate for the default locale. More...
static ListFormatter * | createInstance (const Locale &locale, UErrorCode &errorCode)
| Creates a ListFormatter appropriate for a locale. More...
static ListFormatter * | createInstance (const Locale &locale, const char *style, UErrorCode &errorCode)
| Creates a ListFormatter appropriate for a locale and style. More...

## Detailed Description

An immutable class for formatting a list, using data from CLDR (or supplied separately).

Example: Input data ["Alice", "Bob", "Charlie", "Delta"] will be formatted as "Alice, Bob, Charlie and Delta" in English.

The ListFormatter class is not intended for public subclassing.

Stable:
  ICU 50

Definition at line 64 of file listformatter.h.

## Constructor & Destructor Documentation

icu::ListFormatter::ListFormatter | ( | const ListFormatter & |  | ) |

Copy constructor.

Stable:
  ICU 52

virtual icu::ListFormatter::~ListFormatter | ( |  | ) |
| virtual

Destructor.

Stable:
  ICU 50

icu::ListFormatter::ListFormatter | ( | const ListFormatData & | data,
|  | UErrorCode & | errorCode
| ) |  |

Internal:
  Do not use.

This API is for internal use only. constructor made public for testing.

icu::ListFormatter::ListFormatter | ( | const ListFormatInternal * | listFormatterInternal | ) |

Internal:
  Do not use.

This API is for internal use only. constructor made public for testing.

## Member Function Documentation

static ListFormatter* icu::ListFormatter::createInstance | ( | UErrorCode & | errorCode | ) |
| static

Creates a ListFormatter appropriate for the default locale.

Parameters

  errorCode | ICU error code, set if no data available for default locale.

Returns
  Pointer to a ListFormatter object for the default locale, created from internal data derived from CLDR data.

Stable:
  ICU 50

static ListFormatter* icu::ListFormatter::createInstance | ( | const Locale & | locale,
|  | UErrorCode & | errorCode
| ) |  |
| static

Creates a ListFormatter appropriate for a locale.

Parameters

  locale | The locale.
  errorCode | ICU error code, set if no data available for the given locale.

Returns
  A ListFormatter object created from internal data derived from CLDR data.

Stable:
  ICU 50

static ListFormatter* icu::ListFormatter::createInstance | ( | const Locale & | locale,
|  | const char * | style,
|  | UErrorCode & | errorCode
| ) |  |
| static

Creates a ListFormatter appropriate for a locale and style.

Parameters

  locale | The locale.
  style | the style, either "standard", "duration", or "duration-short"
  errorCode | ICU error code, set if no data available for the given locale.

Returns
  A ListFormatter object created from internal data derived from CLDR data.

Internal:
  Do not use. This API is for internal use only.

UnicodeString& icu::ListFormatter::format | ( | const UnicodeString | items[],
|  | int32_t | n_items,
|  | UnicodeString & | appendTo,
|  | UErrorCode & | errorCode
| ) |  | const

Formats a list of strings.

Parameters

  items | An array of strings to be combined and formatted.
  n_items | Length of the array items.
  appendTo | The string to which the result should be appended to.
  errorCode | ICU error code, set if there is an error.

Returns
  Formatted string combining the elements of items, appended to appendTo.

Stable:
  ICU 50

UnicodeString& icu::ListFormatter::format | ( | const UnicodeString | items[],
|  | int32_t | n_items,
|  | UnicodeString & | appendTo,
|  | int32_t | index,
|  | int32_t & | offset,
|  | UErrorCode & | errorCode
| ) |  | const

Internal:
  Do not use.

This API is for internal use only. for MeasureFormat

ListFormatter& icu::ListFormatter::operator= | ( | const ListFormatter & | other | ) |

Assignment operator.

Stable:
  ICU 52

The documentation for this class was generated from the following file:

- listformatter.h